'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createMockStore = exports.emptyStore = undefined;

var _DispatchMock = require('./DispatchMock');

var emptyStore = exports.emptyStore = function emptyStore() {
  return {
    getState: function getState() {
      return {};
    },
    subscribe: function subscribe() {}
  };
};

var createMockStore = exports.createMockStore = function createMockStore() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

  var dispatchMock = (0, _DispatchMock.createMockDispatch)();

  return {
    getState: function getState() {
      return state;
    },
    subscribe: function subscribe() {},

    dispatch: dispatchMock.dispatch,
    getActions: dispatchMock.getActions,
    getAction: dispatchMock.getAction,
    isActionDispatched: dispatchMock.isActionDispatched,
    isActionTypeDispatched: dispatchMock.isActionTypeDispatched
  };
};